10 CLS:PRINT "           *** CALCULATIONS BY GREENHILL'S FORMULA ***":PRINT ""
20 PRINT "     *** COPYRIGHT 1984 BY WM. C. DAVIS, JR. - CODE 'GRNHIL' ***":PRINT "":REM REV 01/14/88, 05/09/88
30 PRINT "THIS PROGRAM CALCULATES THE RECOMMENDED TWIST OF RIFLING FOR"
40 PRINT "CONVENTIONAL LEAD-CORE JACKETED BULLETS OR LEAD BULLETS, USING"
50 PRINT "'GREENHILL'S FORMULA'. THE FORMULA CONTAINS A CONSTANT WHICH IS"
60 PRINT "USUALLY TAKEN AS 150, BUT OTHER VALUES ARE SOMETIMES USED. THERE ARE"
70 PRINT "TWO OPTIONS IN THIS PROGRAM. (1) YOU MAY CALCULATE THE RECOMMENDED "
80 PRINT "TWIST OF RIFLING FOR A SPECIFIED BULLET, USING 150 OR ANY OTHER NUMBER"
90 PRINT "YOU CHOOSE FOR 'GREENHILL'S CONSTANT', OR (2) YOU MAY FIND THE VALUE"
100 PRINT "OF 'GREENHILL'S CONSTANT' CORRESPONDING TO ANY PARTICULAR COMBINATION"
110 PRINT "OF BULLET AND TWIST THAT YOU SPECIFY. THIS SECOND OPTION IS USEFUL"
120 PRINT "IF YOU HAVE FAVORABLE EXPERIENCE WITH A PARTICULAR BULLET AND TWIST,"
130 PRINT "AND YOU WISH TO APPROXIMATE THE SAME STABILITY FACTOR USING A"
140 PRINT "DIFFERENT BULLET, TWIST OR CALIBER. HIGHER VALUES OF 'GREENHILL'S"
150 PRINT "CONSTANT' CORRESPOND TO LOWER STABILITY FACTORS, AND LOWER VALUES"
160 PRINT "CORRESPOND TO HIGHER STABILITY FACTORS.":PRINT ""
170 PRINT "WHAT IS YOUR CHOICE?"
180 PRINT "   1=FIND TWIST IN INCHES FOR A SPECIFIED BULLET"
190 PRINT "   2=FIND GREENHILL'S CONSTANT FOR A SPECIFIED BULLET AND TWIST"
200 INPUT QC:PRINT ""
210 IF QC=1 THEN GOTO 240
220 IF QC=2 THEN GOTO 500
230 IF QC<>1 AND QC<>2 THEN PRINT "TRY AGAIN":GOTO 170
240 PRINT "GREENHILL'S CONSTANT IS CUSTOMARILY TAKEN AS 150. HIGHER VALUES"
250 PRINT "WILL PRODUCE A LOWER STABILTY FACTOR, WHILE LOWER VALUES WILL"
260 PRINT "PRODUCE A HIGHER STABILITY FACTOR. WHAT VALUE DO YOU CHOOSE?"
270 INPUT "GREENHILL'S CONSTANT";K:PRINT ""
280 INPUT "IDENTIFY BULLET";B$
290 INPUT "DO YOU WANT IDENTIFICATION ON HARD COPY? (1=YES 2=NO)";QC
300 IF QC<>1 THEN GOTO 320
310 LPRINT B$:LPRINT ""
320 INPUT "BULLET DIAMETER (INCH)";D
330 INPUT "BULLET LENGTH (INCHES)";L
340 R=L/D: REM RATIO OF LENGTH TO DIAMETER
350 T=K*D/R: REM TWIST IN INCHES
360 PRINT "":PRINT "TWIST IN INCHES:";TAB(40);:PRINT USING "##.#";T:PRINT ""
370 INPUT "COPY THIS (1=YES 2=NO)";QC
380 IF QC=1 THEN GOSUB 610
390 PRINT "WHAT NEXT?"
400 PRINT "   1=NEW BULLET, SAME VALUE FOR GREENHILL'S CONSTANT"
410 PRINT "   2=NEW BULLET, NEW VALUE FOR GREENHILL'S CONSTANT"
420 PRINT "   3=NEW PROBLEM"
430 PRINT "   4=END THIS PROGRAM"
440 INPUT QN:CLS
450 CLS
460 IF QN=1 THEN GOTO 280
470 IF QN=2 THEN GOTO 270
480 IF QN=3 THEN RUN 170
490 IF QN=4 THEN CLEAR:CLS:RUN "MENU.BAS"
500 CLS
510 INPUT "BULLET DIAMETER (INCH)";D
520 INPUT "BULLET LENGTH (INCHES)";L
530 R=L/D: REM RATIO LENGTH/DIAMETER
540 INPUT "TWIST (INCHES/TURN)";T
550 K=T*R/D:REM GREENHILL'S CONSTANT
560 PRINT ""
570 PRINT "GREENHILL'S CONSTANT:";TAB(40);INT(K+.5)
580 INPUT "COPY THIS? (1=YES 2=NO)";QC
590 IF QC=1 THEN GOSUB 610
600 CLS:GOTO 390
610 REM ** LPRINT ROUTINE **
620 LPRINT "BULLET DIAMETER (INCH):";TAB(40);D
630 LPRINT "BULLET LENGTH (INCHES):";TAB(40);L
640 LPRINT "LENGTH/DIAMETER:";TAB(40);:LPRINT USING "#.##";R
650 LPRINT "GREENHILL'S CONSTANT:";TAB(40);INT(K+.5)
660 LPRINT "TWIST (INCHES/TURN):";TAB(40);:LPRINT USING "##.#";T:LPRINT ""
670 LPRINT ""
680 RETURN
